<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www..hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/

include_once("config.php");

include "label.php";

$S_ID=SafeRequest("id","get");

$action=SafeRequest('ac','get');

if(!IsNul($S_ID)){echo "参数错误！";}

global $db;

$sql="Select S_ID,S_Name,S_Vdata,S_Addpath,S_Author,S_Source,S_ClassID from s_video where S_ID=".$S_ID."";

$row=$db->getrow($sql);

$server=$db->getrow("select * from s_pathip where S_ID=".$row['S_Addpath']."");

if($row){

$S_Url=$row['S_Vdata'];

$S_Urla=substr($S_Url,0,18);

$S_Urlb=substr($S_Url,0,3);

if($row['S_Source']=="dj95"){

require_once("dj95_config.php");

$Dj95_d32=MD5(Dj95_ym.Dj95_key.$S_ID);

$Dj95_d8=substr($Dj95_d32,-8);

$Dj95_d16=substr($Dj95_d32,-16);

$Dj95_d1=substr($Dj95_d32,8,16);

$DJ95_md5=$Dj95_d1.$Dj95_d8.$Dj95_d16;

$playurl="http://www.95Dj.com:81/B.do?u=".$S_Url."&i=".Dj95_name."&id=".$S_ID."&n=".$S_Name."&qq=".$DJ95_md5."&fwdid=".$row['S_Addpath']."&ac=1";

}else{

if($S_Urla=="http://www.rayfile"){

$playurl=getrayfile($S_Url,$row['S_Name']);

}elseif($S_Urlb=="wk_"){

$kimi=explode("_",$S_Url);

$playurl=getvdisk(trim($kimi[1]));

}else{

$playurl=$server['S_AddPath'].$S_Url;

}

}

if($action=='lplay'){

echo  'var i'.$S_ID.'="'.$S_ID.'";var s'.$S_ID.'="'.$row['S_Author'].'";var n'.$S_ID.'="'.$row['S_Name'].'";var u'.$S_ID.'="'.$playurl.'";var t'.$S_ID.'="'.$row['S_ClassID'].'";';

}else{

echo $playurl;

}

}else{

echo "没有找到相关记录！";

}

?>